> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get one miscellaneous operation

> Get a specific miscellaneous operation from the the accounting system

**Learn more:**

* What is a journal entry? [↗](https://docs.chift.eu/unified-apis/accounting/concepts/journal-entry.md)
* How to select the right accounts in journal entries? [↗](https://docs.chift.eu/unified-apis/accounting/concepts/journal-entry/accounts.md)


## OpenAPI

````yaml get /consumers/{consumer_id}/accounting/miscellaneous-operation/{operation_id}
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/accounting/miscellaneous-operation/{operation_id}:
    get:
      tags:
        - Accounting
        - Miscellaneous operations
      summary: Get one miscellaneous operation
      description: Get a specific miscellaneous operation from the the accounting system
      operationId: accounting_get_miscellaneous_operation
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: operation_id
          in: path
          required: true
          schema:
            type: string
            title: Operation Id
        - name: folder_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Folder Id
          description: >-
            Id of the accounting folder instance. A folder represents a legal
            entity within the system. Required when the multiple folders feature
            is enabled.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MiscellaneousOperationOut'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      deprecated: true
      security:
        - mcp_auth:
            - accounting
            - accounting.read
            - accounting.miscellaneous_operations
            - accounting.miscellaneous_operations.read
            - '200'
            - 200.r
            - 200.miscellaneous_operations
            - 200.miscellaneous_operations.r
components:
  schemas:
    MiscellaneousOperationOut:
      properties:
        operation_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Operation Number
          examples:
            - OP-2026-0001
        currency:
          type: string
          title: Currency
          description: Indicates the currency of the operation (e.g., EUR, USD).
          examples:
            - EUR
        currency_exchange_rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Currency Exchange Rate
          description: >-
            Exchange rate from the transaction currency to the folder's base
            currency, at the date of the operation. Must be filled in when
            creating the operation in another currency from the folder's default
            currency.
          default: 1
        lines:
          items:
            $ref: '#/components/schemas/MiscellaneousOperationLine'
          type: array
          title: Lines
        operation_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Operation Date
          description: >-
            Accounting date of the miscellaneous operation. It is automatically
            set to '1970-01-01' if the value is not available/empty in the
            accounting system.
          default: '1970-01-01'
          examples:
            - '2026-01-15'
        journal_id:
          type: string
          title: Journal Id
          description: Indicates the journal used in for the operation.
          examples:
            - <accounting-journal-id>
        status:
          $ref: '#/components/schemas/MiscellaneousOperationStatusOut'
        id:
          type: string
          title: Id
          examples:
            - <this-operation-id>
      type: object
      required:
        - currency
        - lines
        - journal_id
        - status
        - id
      title: MiscellaneousOperationOut
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    MiscellaneousOperationLine:
      properties:
        line_number:
          anyOf:
            - type: integer
            - type: 'null'
          title: Line Number
          description: >-
            Line number of the operation line. This is used to order the lines
            in the operation. It is automatically set to 1 if not provided.
          default: 1
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: >-
            Text description used to provide additional context or information
            about the operation line.
          examples:
            - Bank charges
        amount:
          type: number
          title: Amount
          description: Positive for Credit and negative for Debit.
          examples:
            - 200
        type:
          $ref: '#/components/schemas/MiscellaneousOperationLineType'
        account_number:
          type: string
          title: Account Number
          description: >-
            Indicates the account number used in the operation line. This is the
            ledger account number in the chart of accounts.
          examples:
            - <accounting-account-number>
        partner_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Partner Id
          description: >-
            Must be filled in if it is a 'customer_account' or
            'supplier_account' line type.
          examples:
            - <accounting-client-id>
        analytic_account:
          anyOf:
            - type: string
            - type: 'null'
          title: Analytic Account
          description: >-
            Analytic account used in the operation line. This is the id of a
            analytic account - no distribution possible. It is used to track the
            operation line in the analytic accounting system.
          examples:
            - <accounting-analytic-account-id>
      type: object
      required:
        - amount
        - type
        - account_number
      title: MiscellaneousOperationLine
    MiscellaneousOperationStatusOut:
      type: string
      enum:
        - cancelled
        - draft
        - posted
        - matched
      title: MiscellaneousOperationStatusOut
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    MiscellaneousOperationLineType:
      type: string
      enum:
        - customer_account
        - supplier_account
        - general_account
      title: MiscellaneousOperationLineType
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.